package de.ruzman.leap;

import java.awt.DisplayMode;
import java.awt.GraphicsDevice;
import java.awt.GraphicsEnvironment;

import com.leapmotion.leap.Controller;
import com.leapmotion.leap.Frame;

public final class Environment {
	public static final int DISPLAY_WIDTH;
	public static final int DISPLAY_HEIGHT;
	
	private static Controller controller;
	private static MotionRegistry motionRegistry;
	
	static {
		GraphicsDevice device = GraphicsEnvironment
				.getLocalGraphicsEnvironment().getDefaultScreenDevice();
		DisplayMode dispMode = device.getDisplayMode();
		
		DISPLAY_WIDTH = dispMode.getWidth();
		DISPLAY_HEIGHT = dispMode.getHeight();
	}
	
	public static void init() {
		init(null);
	}

	
	public static void init(MotionRegistry motionRegistry) {
		NativeLibrary.loadSystem("native");
		
		controller = new Controller();
		
		if(motionRegistry == null) {
			motionRegistry = new MotionRegistry();
		}
		Environment.motionRegistry = motionRegistry;
	}
		
	public static Frame getFrame() {
		return controller.frame();
	}
	
	public static Controller getController() {
		return controller;
	}
	
	public static MotionRegistry getMotionRegistry() {
		return motionRegistry;
	}
}
